Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class puts

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.puts

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class puts

extends DefaultInternalAction

Internal action: `.puts`.

Description: used for printing messages to the console where the system is running, or unifying the message to a variable parameter. It receives one string parameter, containing escaped variable names that are replaced by their bindings in the current intention's unifier. Terms are made ground according to the current unifying function before being printed out. No new line is printed after the parameters. In this version a user can also include any Jason expression (logical or arithmetic) that will be replaced by it's evaluated value.

The precise format and output device of the message is defined by the Java logging configuration as defined in the `logging.properties` file in the project directory.

Parameters:

- +message (string): the string to be printed out.
- -output (any variable [optional]): the variable to print the processed result.

Example:

- `.puts("Testing variable #{A}")`: prints out to the console the supplied string replacing #{A} with the value of variable A.
- `.puts("Testing variable #{A}, into B", B)`: tries to unify B with the supplied string replacing #{A} with the value of variable A.
- `.puts("The value of the expression is #{X+2}")`: prints out the result of the X+2 expression. Assuming X is unified to a numeric value, the printed result will be the sum of X and two, if X is unified to any other value, the original expression (X+2) will be printed.

See Also:
  Serialized Form

Constructor Summary
`puts()`

Method Summary
`static InternalAction` | `create()`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, getMaxArgs, getMinArgs, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### puts

    public puts()

Method Detail

### create

    public static InternalAction create()

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD